Package de.willuhn.jameica.hbci.io

# Class IORegistry

java.lang.Object
de.willuhn.jameica.hbci.io.IORegistry

public class IORegistry extends Object
Ueber diese Klasse koennen alle verfuegbaren Export-und Import Formate abgerufen werden.

## Constructor Summary

Constructors
Constructor
Description
`IORegistry()`

## Method Summary

Modifier and Type
Method
Description
`static Exporter[]`
`getExporters()`
Liefert eine Liste aller verfuegbaren Export-Formate.
`static Importer[]`
`getImporters()`
Liefert eine Liste aller verfuegbaren Import-Formate.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IORegistry

public IORegistry()

## Method Details

### getExporters

public static Exporter[] getExporters()
Liefert eine Liste aller verfuegbaren Export-Formate.

Returns:
  Export-Filter.

### getImporters

public static Importer[] getImporters()
Liefert eine Liste aller verfuegbaren Import-Formate.

Returns:
  Import-Filter.